ZSNES(1)

NAME
zsnes - The ZSNES Super Nintendo emulator, version 1.41

SYNOPSIS
zsnes [-?] [-0] [-1 #] [-2 #] [-7] [-8] [-9] [-a] [-cb] [-cc] [-cs] [-dd] [-f #] [-h | -l] [-i] [-j] [-k #] [-m] [-n] [-om] [-p #] [-r #] [-s] [-sa] [-sn] [-t | -u] [-w] [-y] [-z] [-zs #] [romname]

DESCRIPTION
ZSNES is an emulator for the Super Nintendo video game console. It is written in a combination of x86 assembler, C and C++ and is currently available on Windows, DOS and x86 Linux. Visit http://www.zsnes.com/ for the latest updates.

OPTIONS
Note: many of these options can also be set in the GUI

-?  Display command-line help

-0  Disable color 0 modification in 256 (8-bit) color modes

-1 # / -2 #
    Set controls for Player 1/2.
    0 = None       1 = Keyboard       2 = Joystick       3 = Gamepad
    4 = 4 Button   5 = 6 Button       6 = Sidewinder

-7  Disable SPC700 speedhack

-8  Force 8-bit sound

-9  Off by 1 line fix

-a  Enable automatic frame rate

-cb Remove Background Color in 256 (8-bit) color modes

-cc Enable small screen (when available)

-cs Enable full/wide screen (when available)

-dd Disable sound DSP emulation

-f #
    Enable frame skipping, where # is a numerical value from 0-9

-h  Force HiROM. Cannot be used with -l

-i  Uninterleave ROM image

-j  Disable Mouse (Automatically turns off right mouse click)

-k #
    Set volume level, where # is a numerical value from 1-100

-l  Force LoROM. Cannot be used with -h

-m  Disable GUI

-n  Enable full scanlines (when available)

-om Enable MMX support (when available)

-p #
    Change the clock speed of the main CPU, where # is a numerical value from 50-120. 100 is the normal speed. Changing this value may have adverse side effects.

-r #
    Set audio sampling rate, where # is one of:
    0 = 8 KHz       1 = 11.025 KHz       2 = 22.05 KHz
    3 = 44.1 KHz    4 = 16 KHz           5 = 32 KHz

-s  Enable SPC700/DSP emulation (Sound)

-sa Show files with all extensions (*.*) in GUI. Default is to only show files with one of the extensions listed in romname

-sn Enable snowy GUI background

-t  Force NTSC (60 Hz) timing. Cannot be used with -u

-u  Force PAL (50 Hz) timing. Cannot be used with -t

-w  Enable VSync (disables triple buffering)

-y  Enable EAGLE (640x480x8B only) or Interpolation (640x480x16B only)

-z  Disable stereo sound. Stereo sound is enabled by default.

-zs #
    Auto load specified save state on startup

romname
    Name of ROM to auto-load. romname is of the format filename.ext, where .ext is one of .SMC, .SFC, .SWC, .FIG, .058, .078, .1, .A, .USA, .JAP, or .GD3. You can also load ROMs which have been compressed with Zip, GZip or JMA.

FILES AND DIRECTORIES

zsnes
    The main program

~/.zsnes
    This is the directory where ZSNES configuration files are stored. By default, it is also the directory where save states, screenshots, SPC dumps and ZMV movie files are stored, but you can change this behaviour by editing zsnesl.cfg. This directory is created by ZSNES.

~/.zsnes/zsnesl.cfg
    This file is where configuration settings for ZSNES are stored. It is in a human-readable format and can be edited by hand. It is created by ZSNES.

~/.zsnes/.zguicfgl.dat
    This file is where settings for the GUI are saved. It is created by ZSNES. If for some reason you update your version of ZSNES and it keeps crashing before you can do anything, you should try deleting the two above files and let ZSNES create new ones.

SPECIAL CHIP GAMES
Many games on the Super Nintendo used custom CPUs in addition to the main SNES CPU. Some of these CPUs have not been fully reverse-engineered, and games that use them may either not work or may experience strange bugs. You can find more information about many of these special CPUs at http://users.tpg.com.au/trauma/dsp/ and http://nsrt.edgeemu.com/INFO/chipinfo.htm .

GRAPHICS PACKS
Some games based on the SPC7110 chip, such as Far East of Eden Zero, can use special graphics packs to work around unemulated portions of their custom CPU. These graphics packs must be stored in individual directories within the save directory, which is specified in zsnesl.cfg. By default, this is ~/.zsnes. The directory name of each graphics pack must be capitalized and all files within that directory must be in lowercase. The proper directory name for a given graphics pack can be found in the readme file included with that pack. NOTE: As of version 1.40, games which use the S-DD1 chip (Star Ocean, Street Fighter Alpha 2) do not require graphics packs.

REPORTING BUGS
You can report bugs using the bug tracker at the ZSNES SourceForge page, located at http://sourceforge.net/projects/zsnes/.

AUTHORS
Please see the authors.txt file included in the ZSNES archive.

COPYRIGHT NOTICE
Copyright © 1997-2004 the ZSNES team Permission is granted to copy and distribute this manual under the terms of the GNU Free Documentation License.